Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008392TestLinkData Managementpublic2018-10-02 13:112019-10-10 18:27
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.17 (2018 Q1) 
Fixed in Version1.9.18 (2018 Q3) 
Summary0008392: Test suite Keywords - use keywords with special prefix to make simpler test case reuse
DescriptionUse Case

you have test cases that you want to reuse on several test suite, because these test cases to some extent are common to different features.
One example:
One test case that is designed to check that mandatory fields are really checked.

This test case is candidate to be reused on several features of your application but you need to provide a different menu breadcrum for each test case.

The idea is:
if you organize your test specification tree in a way that some test suites are part of the breadcrum, it will be great if you can provide an special attribute (in this case a keyword starting with @#) that will allow to create place holders.

This implementation will work this way

The path from test project (root) to test case will be scanned for the special keywords,
then they will be replaced on Summary or Preconditions.

Naming Convention
@#TL_XXXX
@#TL_MENU, @#TL_ROLE,@#TL_PAGE
TagsDATA MANAGEMENT, SPECIAL KEYWORDS
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon special-keywords-on-testsuite.png [^] (52,269 bytes) 2019-10-10 18:20


png file icon details-di-special-kw.png [^] (65,998 bytes) 2019-10-10 18:26


png file icon special-kw-inside-tc.png [^] (72,667 bytes) 2019-10-10 18:27

- Relationships
child of 0008241closedfman Availables hot-fixes for 1.9.17 & How To get full fixed package from GitHub 

-  Notes
(0027914)
fman (administrator)
2018-10-02 15:13

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/f54acab6529cdb57305521b6faf73f2e2ae95835 [^]
(0027925)
fman (administrator)
2018-10-06 12:17

1.9.18 released

- Issue History
Date Modified Username Field Change
2018-10-02 13:11 fman New Issue
2018-10-02 13:11 fman Status new => assigned
2018-10-02 13:11 fman Assigned To => fman
2018-10-02 15:13 fman Note Added: 0027914
2018-10-02 15:14 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2018-10-02 15:14 fman Status assigned => resolved
2018-10-02 15:14 fman Fixed in Version => 1.9.18 (2018 Q3)
2018-10-02 15:14 fman Resolution open => fixed
2018-10-02 15:14 fman Relationship added child of 0008241
2018-10-06 12:17 fman Note Added: 0027925
2018-10-06 12:17 fman Status resolved => closed
2019-10-10 17:59 fman Tag Attached: DATA MANAGEMENT
2019-10-10 17:59 fman Tag Attached: SPECIAL KEYWORDS
2019-10-10 18:14 fman Description Updated View Revisions
2019-10-10 18:20 fman File Added: special-keywords-on-testsuite.png
2019-10-10 18:26 fman File Added: details-di-special-kw.png
2019-10-10 18:27 fman File Added: special-kw-inside-tc.png



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker